Name:           fest-reflect
Version:        1.4.1
Release:        1%{?dist}
Summary:        Fluent Interface that simplifies usage of Java Reflection
License:        ASL 2.0
URL:            https://github.com/alexruiz/fest-reflect
BuildArch:      noarch
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.easytesting:fest-util)

%description
FEST-Reflect provides an intuitive, compact and type-safe fluent API that makes
Java reflection tremendously easy to use: no more casting, checked exceptions,
PriviledgedActions or calls to setAccessible. FEST’s reflection module can even
overcome the limitations of generics and type erasure.

%javadoc_package

%prep
%autosetup -n %{name}-%{name}-%{version}

find -type f '(' -name '*.jar' -o -name '*.class' ')' -delete

%pom_remove_parent

# test removed since it requires fest-test:1.2
rm ./src/test/java/org/fest/reflect/beanproperty/Property_Test.java
rm ./src/test/java/org/fest/reflect/constructor/Constructor_Test.java
rm ./src/test/java/org/fest/reflect/field/Field_field_Test.java
rm ./src/test/java/org/fest/reflect/field/Field_staticField_Test.java
rm ./src/test/java/org/fest/reflect/innerclass/StaticInnerClass_Test.java
rm ./src/test/java/org/fest/reflect/method/Method_method_Test.java
rm ./src/test/java/org/fest/reflect/method/Method_staticMethod_Test.java
rm ./src/test/java/org/fest/reflect/type/Type_Test.java
rm ./src/test/java/org/fest/reflect/util/ExpectedFailures.java

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%changelog
* Fri Sep 17 2021 Didik Supriadi <didiksupriadi41@gmail.com> - 1.4.1-1
- Initial package
